# $Revision: 1.17 $, $Date: 2004/05/07 01:12:25 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AI
%define	pnam	NeuralNet-BackProp
Summary:	A simple back-prop neural net that uses Delta's and Hebbs' rule
Summary(pl):	Prosta sie neuronowa ze wsteczn propagacj uywajca zasady Delty i Hebbsa
Name:		perl-%{pdir}-%{pnam}
Version:	0.89
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.zip
# Source0-md5:	1791f9f8f178ef67d2814fd8ff46fa11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AI::NeuralNet::BackProp is a simply back-propagation, feed-foward neural
network designed to learn using a generalization of the Delta rule and
a bit of Hopefield theory.

%description -l pl
AI::NeuralNet::BackProp to prosta sie neuronowa ze wsteczn
propagacj i przednim sprzeniem zaprojektowana do nauki przy uyciu
uoglnienia zasady Delty i czci teorii Hopefielda.

%prep
%setup -q -c

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes *.htm README
%{perl_vendorlib}/AI/NeuralNet/*.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/*.dat
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-NeuralNet-BackProp.spec,v $
Revision 1.17  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.16  2004/05/06 18:09:11  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.14  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.13  2004/03/08 23:10:17  adamg
- new style bcond
- added missing bcond description

Revision 1.12  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.9  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:28  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 16:32:33  radek
- new, STBR
